Data Fields
cargo_result_t Struct Reference

Result type. More...

`#include <example_cargo.h>`

## Data Fields
bool | calibration_needed
bool | utilization_valid
float | distance
float | level_m
float | level_percent
bool | presence_valid
bool | presence_detected
float | inter_presence_score
float | intra_presence_score

## Detailed Description

Result type.

Definition at line 109 of file example_cargo.h.

## Field Documentation

## ◆ calibration_needed

bool cargo_result_t::calibration_needed

If true, the sensor needs to be recalibrated & the cargo calibration needs to be updated

Examples
  example_detector_distance.c, example_detector_distance_calibration_caching.c, example_detector_distance_with_iq_data_print.c, example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, and example_detector_presence_with_iq_data_print.c.

Definition at line 112 of file example_cargo.h.

## ◆ distance

float cargo_result_t::distance

The distance in meters to the measured object

Definition at line 118 of file example_cargo.h.

## ◆ inter_presence_score

float cargo_result_t::inter_presence_score

See acc_detector_presence_result_t

Examples
  example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, and example_detector_presence_with_iq_data_print.c.

Definition at line 137 of file example_cargo.h.

## ◆ intra_presence_score

float cargo_result_t::intra_presence_score

See acc_detector_presence_result_t

Examples
  example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, and example_detector_presence_with_iq_data_print.c.

Definition at line 140 of file example_cargo.h.

## ◆ level_m

float cargo_result_t::level_m

The container fill level in meters. Ranges from 0m to the full container size (10, 20 or 40 ft)

Definition at line 123 of file example_cargo.h.

## ◆ level_percent

float cargo_result_t::level_percent

The container fill level in percent. Ranges from 0% to 100%

Definition at line 128 of file example_cargo.h.

## ◆ presence_detected

bool cargo_result_t::presence_detected

Whether presence was detected.

Examples
  example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, and example_detector_presence_with_iq_data_print.c.

Definition at line 134 of file example_cargo.h.

## ◆ presence_valid

bool cargo_result_t::presence_valid

Whether fields presence_detected, inter_presence_score & intra_presence_score are valid

Definition at line 131 of file example_cargo.h.

## ◆ utilization_valid

bool cargo_result_t::utilization_valid

Whether fields distance, level_m & level_percent are valid

Definition at line 115 of file example_cargo.h.

The documentation for this struct was generated from the following file:

- Inc/example_cargo.h